## edu.stanford.nlp.trees.international.arabic
Class ArabicTreebankLanguagePack

    java.lang.Object
      edu.stanford.nlp.trees.AbstractTreebankLanguagePack
          edu.stanford.nlp.trees.international.arabic.ArabicTreebankLanguagePack

All Implemented Interfaces:
  TreebankLanguagePack, Serializable

    public class ArabicTreebankLanguagePack

extends AbstractTreebankLanguagePack

Specifies the treebank/language specific components needed for parsing the Penn Arabic Treebank (ATB). This language pack has been updated for ATB1v4, ATB2v3, and ATB3v3.2

The encoding for the ATB is the default UTF-8 specified in AbstractTreebankLanguagePack.

Author:
  Christopher Manning, Mona Diab, Roger Levy, Spence Green
See Also:
  Serialized Form

Field Summary

Fields inherited from class edu.stanford.nlp.trees.AbstractTreebankLanguagePack
`DEFAULT_ENCODING, DEFAULT_GF_CHAR, gfCharacter`

Constructor Summary
`ArabicTreebankLanguagePack()`

Method Summary
`String[]` `evalBIgnoredPunctuationTags()` Returns a String array of punctuation tags that EVALB-style evaluation should ignore for this treebank/language.
`TokenizerFactory<? extends HasWord>` `getTokenizerFactory()` Return a tokenizer which might be suitable for tokenizing text that will be used with this Treebank/Language pair.
`HeadFinder` `headFinder()` The HeadFinder to use for your treebank.
`char[]` `labelAnnotationIntroducingCharacters()` Return an array of characters at which a String should be truncated to give the basic syntactic category of a label.
`static void` `main(String[] args)`
`MorphoFeatureSpecification` `morphFeatureSpec()` Returns a morphological feature specification for words in this language.
`String[]` `punctuationTags()` Returns a String array of punctuation tags for this treebank/language.
`String[]` `punctuationWords()` Returns a String array of punctuation words for this treebank/language.
`String[]` `sentenceFinalPunctuationTags()` Returns a String array of sentence final punctuation tags for this treebank/language.
`String[]` `sentenceFinalPunctuationWords()` Returns a String array of sentence final punctuation words for this treebank/language.
`void` `setTokenizerFactory(TokenizerFactory<? extends HasWord> tf)`
`String[]` `startSymbols()` Returns a String array of treebank start symbols.
`String` `toString()`
`String` `treebankFileExtension()` Returns the extension of treebank files for this treebank.
`TreeReaderFactory` `treeReaderFactory()` Returns a TreeReaderFactory suitable for general purpose use with this language/treebank.

Methods inherited from class edu.stanford.nlp.trees.AbstractTreebankLanguagePack

`basicCategory, categoryAndFunction, evalBIgnoredPunctuationTagAcceptFilter, evalBIgnoredPunctuationTagRejectFilter, getBasicCategoryFunction, getCategoryAndFunctionFunction, getEncoding, getGfCharacter, grammaticalStructureFactory, grammaticalStructureFactory, isEvalBIgnoredPunctuationTag, isLabelAnnotationIntroducingCharacter, isPunctuationTag, isPunctuationWord, isSentenceFinalPunctuationTag, isStartSymbol, punctuationTagAcceptFilter, punctuationTagRejectFilter, punctuationWordAcceptFilter, punctuationWordRejectFilter, sentenceFinalPunctuationTagAcceptFilter, setGfCharacter, startSymbol, startSymbolAcceptFilter, stripGF, treeTokenizerFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ArabicTreebankLanguagePack

    public ArabicTreebankLanguagePack()

Method Detail

### punctuationTags

    public String[] punctuationTags()

  Returns a String array of punctuation tags for this treebank/language.

  Specified by:
    `punctuationTags` in interface `TreebankLanguagePack`
  Specified by:
    `punctuationTags` in class `AbstractTreebankLanguagePack`
  Returns:
    The punctuation tags

### punctuationWords

    public String[] punctuationWords()

  Returns a String array of punctuation words for this treebank/language.

  Specified by:
    `punctuationWords` in interface `TreebankLanguagePack`
  Specified by:
    `punctuationWords` in class `AbstractTreebankLanguagePack`
  Returns:
    The punctuation words

### sentenceFinalPunctuationTags

    public String[] sentenceFinalPunctuationTags()

  Returns a String array of sentence final punctuation tags for this treebank/language.

  Specified by:
    `sentenceFinalPunctuationTags` in interface `TreebankLanguagePack`
  Specified by:
    `sentenceFinalPunctuationTags` in class `AbstractTreebankLanguagePack`
  Returns:
    The sentence final punctuation tags

### sentenceFinalPunctuationWords

    public String[] sentenceFinalPunctuationWords()

  Returns a String array of sentence final punctuation words for this treebank/language.

  Returns:
    The sentence final punctuation tags

### evalBIgnoredPunctuationTags

    public String[] evalBIgnoredPunctuationTags()

  Returns a String array of punctuation tags that EVALB-style evaluation should ignore for this treebank/language. Traditionally, EVALB has ignored a subset of the total set of punctuation tags in the English Penn Treebank (quotes and period, comma, colon, etc., but not brackets)

  Specified by:
    `evalBIgnoredPunctuationTags` in interface `TreebankLanguagePack`
  Overrides:
    `evalBIgnoredPunctuationTags` in class `AbstractTreebankLanguagePack`
  Returns:
    Whether this is a EVALB-ignored punctuation tag

### labelAnnotationIntroducingCharacters

    public char[] labelAnnotationIntroducingCharacters()

  Return an array of characters at which a String should be truncated to give the basic syntactic category of a label. The idea here is that Penn treebank style labels follow a syntactic category with various functional and crossreferencing information introduced by special characters (such as "NP-SBJ=1"). This would be truncated to "NP" by the array containing '-' and "=".

  Specified by:
    `labelAnnotationIntroducingCharacters` in interface `TreebankLanguagePack`
  Overrides:
    `labelAnnotationIntroducingCharacters` in class `AbstractTreebankLanguagePack`
  Returns:
    An array of characters that set off label name suffixes

### startSymbols

    public String[] startSymbols()

  Returns a String array of treebank start symbols.

  Specified by:
    `startSymbols` in interface `TreebankLanguagePack`
  Specified by:
    `startSymbols` in class `AbstractTreebankLanguagePack`
  Returns:
    The start symbols

### setTokenizerFactory

    public void setTokenizerFactory(TokenizerFactory<? extends HasWord> tf)

### getTokenizerFactory

    public TokenizerFactory<? extends HasWord> getTokenizerFactory()

  Return a tokenizer which might be suitable for tokenizing text that will be used with this Treebank/Language pair. We assume at the moment that someone else has tokenized our Arabic, and so use the Whitespace tokenizer of superclass.

  Specified by:
    `getTokenizerFactory` in interface `TreebankLanguagePack`
  Overrides:
    `getTokenizerFactory` in class `AbstractTreebankLanguagePack`
  Returns:
    A tokenizer

### treebankFileExtension

    public String treebankFileExtension()

  Returns the extension of treebank files for this treebank. This is "tree".

  Returns:
    the extension on files for this treebank

### treeReaderFactory

    public TreeReaderFactory treeReaderFactory()

  Description copied from class: `AbstractTreebankLanguagePack`
  Returns a TreeReaderFactory suitable for general purpose use with this language/treebank.

  Specified by:
    `treeReaderFactory` in interface `TreebankLanguagePack`
  Overrides:
    `treeReaderFactory` in class `AbstractTreebankLanguagePack`
  Returns:
    A TreeReaderFactory suitable for general purpose use with this language/treebank.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### headFinder

    public HeadFinder headFinder()

  The HeadFinder to use for your treebank.

  Returns:
    A suitable HeadFinder

### morphFeatureSpec

    public MorphoFeatureSpecification morphFeatureSpec()

  Description copied from class: `AbstractTreebankLanguagePack`
  Returns a morphological feature specification for words in this language.

  Specified by:
    `morphFeatureSpec` in interface `TreebankLanguagePack`
  Overrides:
    `morphFeatureSpec` in class `AbstractTreebankLanguagePack`
  Returns:
    A language-specific MorphoFeatureSpecification

### main

    public static void main(String[] args)

  Parameters:
    `args` -

Stanford NLP Group